#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF7,0xBC,0x59,0xBB,0x8A,0x7E,0x26,0x91,0x3B,0x11,0x9C,0xF5,
		0x28,0x93,0x96,0x6D,0xEA,0x19,0x1C,0xBA,0x6E,0x5B,0x1B,0xE9,
		0x36,0x0F,0xF2,0x94,0x6B,0xB2,0x10,0x40,0x6F,0x4A,0x40,0x3E,
		0xDE,0x66,0x61,0x0B,0xC6,0x8C,0x59,0xFC,0x31,0x02,0x30,0x1C,
		0x2C,0xBE,0xFF,0x21,0x79,0x37,0x25,0x93,0x91,0x92,0x0B,0x2D,
		0x73,0x07,0xA2,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
